pbs_iff(8B)

NAME
pbs_iff - tests authentication with the server

SYNOPSIS
pbs_iff [-t] <server host> <server port> pbs_iff --version

DESCRIPTION
Called from the pbs_connect() IFL API to authenticate a connection with the PBS server. Designed to be called internally by PBS commands and components, to be used by our IFL layer to talk to the server. If pbs_iff cannot authenticate, it returns an error message. Required Privilege
Can be run by any user. It's a setuid root binary so it runs as the user who requests a connection to a server but it becomes root so that it can grab a privileged port.

OPTIONS TO pbs_iff

-t  Test mode; means test whether pbs_iff can authenticate with the server

--version
    Reports version and exits; can only be used alone

ARGUMENTS TO pbs_iff

daemon host
    Host where server is running

daemon port
    Port on which server is listening; default is 15001

EXIT STATUS

Zero
    If pbs_iff is able to contact the server at the specified port

Non-zero
    If pbs_iff is unable to contact the server at the specified port